/*
 * File:   config.h
 * Author: Tim Braren
 *         Dhruv Gaba
 *         Shaurya Luthra
 *
 * Created on November 9th, 2017
 */

#ifndef CONFIG_H
#define	CONFIG_H

#include "plib.h"

#include <stdio.h>

#pragma config FNOSC = FRCPLL, POSCMOD = OFF
#pragma config FPLLIDIV = DIV_2, FPLLMUL = MUL_20
#pragma config FPBDIV = DIV_1, FPLLODIV = DIV_2
#pragma config FWDTEN = OFF, JTAGEN = OFF, FSOSCEN = OFF

// IF use_uart_serial IS defined, two pins are used by the uart
// Go to pt_cornell_1_2_2.h and search for "SET UART i/o PINS"
#define use_uart_serial
#define BAUDRATE 115200 // must match PC terminal emulator setting

#define sys_clock 40000000

#define pb_clock sys_clock

#endif	/* CONFIG_H */

